<div align="center">
  <a href="https://taipy.io?utm_source=github" target="_blank">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://github.com/Avaiga/taipy/assets/100117126/509bf101-54c2-4321-adaf-a2af63af9682">
    <img alt="Taipy" src="https://github.com/Avaiga/taipy/assets/100117126/4df8a733-d8d0-4893-acf0-d24ef9e8b58a" width="300" />
  </picture>
  </a>
</div>
</br>
<div align="center">
    <img
        src="https://img.shields.io/github/license/Avaiga/taipy?style=plastic&color=ff371a&labelColor=1f1f1f"
        alt="GitHub License"
        height="20px"
    />
    <a target="_blank" href="https://github.com/Avaiga/taipy/releases">
        <img
            alt="GitHub Release"
            height="20px"
            src="https://img.shields.io/github/v/release/Avaiga/taipy?display_name=release&style=plastic&color=ff371a&labelColor=1f1f1f"
        ></a>
</div>
<div align="center">
   <img
      src="https://img.shields.io/badge/python-3.9%20%7C%203.10%20%7C%203.11%20%7C%203.12-ff371a?style=plastic&labelColor=1f1f1f"
        alt="Python version needed: 3.9"
    />

</div>
<div align="center">
    <a target="_blank" href="https://docs.taipy.io/en/latest/">
        <img
            src="https://img.shields.io/badge/docs-ff371a?style=plastic&labelColor=1f1f1f&label=Explore"
            height="20px"
            alt="Explore the docs"
        ></a>
       <a target="_blank" href="https://docs.taipy.io/en/latest/gallery/">
        <img
            src="https://img.shields.io/badge/gallery-ff371a?style=plastic&labelColor=1f1f1f&label=Explore"
            height="20px"
            alt="Explore Gallery"
        ></a>
    <a target="_blank" href="https://discord.com/invite/SJyz2VJGxV">
        <img
            src="https://img.shields.io/discord/1125797687476887563?style=plastic&labelColor=1f1f1f&logo=discord&logoColor=ff371a&label=Discord&color=ff371a"
            height="20px"
            alt="Discord support"
        ></a>
</div>
<h1 align="center">
    Build Python Data & AI web applications
</h1>

<div align="center">
From simple pilots to production-ready web applications in no time. <br />
No more compromises on performance, customization, and scalability.
</div>

<br />

<div align="center">
     <strong> Go beyond existing libraries  </strong>
</div>

  ## Table of Contents

- [Taipy? What for?](#-what-for)
- [Taipy and its ecosystem](#-taipy-and-taipy-ecosystem)
- [Quickstart](#-quickstart)
- [Documentation and resources](#-documentation-and-resources)
- [Contributing](#-contributing)
- [Code of Conduct](#-code-of-conduct)
- [License](#-license)

## ⭐ What for?

Taipy is designed for data scientists and machine learning engineers to create
data & AI driven web applications.

⭐️ Enables building production-ready web applications.<br/>
⭐️ No need to learn new languages; only Python is needed.<br/>
⭐️ Focus on data and AI algorithms. Delegates development complexities to Taipy.<br/>
⭐️ Simplifies production operations (hosting, deployments, maintenance, etc.).<br/>

## ✨ Taipy and Taipy Ecosystem

Taipy includes the Taipy Python library enabling developers to easily empower their end-users with:
- User interface generation
- Data Integration
- Pipeline orchestration
- What-if analysis and scenario management
- Authentication, roles and user management
- Cron jobs and scheduling

Besides the Taipy Library, the Taipy Ecosystem includes:
- Taipy Designer
- Taipy Studio
- Predefined templates
- Data platform integration

Taipy comes with a set of materials to facilitate production operations and maintenance.
- Command line interface.
- Deployment scripts.
- Version Management.
- Data migration.
- Telemetry and monitoring.

## ⏩ Quickstart

To install the stable release of Taipy, run:

```bash
pip install taipy
```

For alternative installation methods, an
[Installation Guide](https://docs.taipy.io/en/latest/tutorials/getting_started/installation/)
provides step-by-step instructions.<br>

## 💡 Documentation and resources

A comprehensive documentation set is available at
[Taipy Documentation](https://docs.taipy.io/en/latest/) to help you with Taipy tools.

It includes
[Tutorials](https://docs.taipy.io/en/latest/tutorials/),
[user manuals](https://docs.taipy.io/en/latest/userman/),
[API references](https://docs.taipy.io/en/latest/refmans/), and
[Galleries](https://docs.taipy.io/en/latest/gallery/).

## ⚒️ Contributing

Want to help build Taipy? Check out our [**Contributing Guide**](https://github.com/Avaiga/taipy/blob/develop/CONTRIBUTING.md).

## 🪄 Code of Conduct

Want to be part of the Taipy community? Check out our [**Code of Conduct**](https://github.com/Avaiga/taipy/blob/develop/CODE_OF_CONDUCT.md)

## 🪪 License

Copyright 2021-2025 Avaiga Private Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
[Apache License](https://www.apache.org/licenses/LICENSE-2.0.txt)

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
specific language governing permissions and limitations under the License.
